﻿## About Syncfusion JavaScript

Syncfusion Essential JavaScript is a comprehensive collection of over 80+ enterprise-grade HTML5 JavaScript components for building modern web applications. It includes all the UI controls that are typically required for building line-of-business (LOB) applications including charts, grids, gantt, scheduler, diagram and much more.
## Configure the Syncfusion JavaScript Bower

### Bower Installation

To configure the bower in your machine you need to install [node, npm](http://nodejs.org/# "") and [git](http://git-scm.org/# ""). For more information to configure the Bower package please refer the official site for [bower](http://bower.io/#install-bower ""). 
Syncfusion Javascript Bower package can be configured in the following ways.

1. Using command prompt.

2. Using bower.json file.

3. From local directory.

#### Using command prompt

Perform the below steps to install Syncfusion bower Package via command prompt in your web application.

1. Open your web project’s location in a command prompt window.

2. Then run the below command,
   
   ~~~
   bower install syncfusion-javascript
   ~~~
   
3. The bower will install the Syncfusion Javascript files into the project location and now you can use the bower content in your project.

>Note

>To install a particular version of a bower package, you need to provide the version as suffix of the package name while installing. For instance, run the below command,
 
>~~~
>bower install syncfusion-javascript#13.3.0.18
>~~~

>To install the package of version 13.3.0.18.

#### Using bower.json file

In another way, you can add the packages to the bower.json file by simply specify the package name. This will install/restore the packages to your project.

~~~ 
“syncfusion-javascript” : “13.3.0.18”
~~~

>**Note**

>ASP.NET 5 (preview) projects have bower.json file by default. If your project doesn’t have bower.json file run the below command from your project directory.

>~~~
>bower init
>~~~

#### From local directory

You can install the Syncfusion bower package from a local directory. To perform this follow the below steps.

1. Download this repository as zip by click the “Download ZIP” button and extract the contents in your computer’s any of the local directory. 

2. Then run the install command by providing the package content’s location. For instance please refer the below command,

   ~~~
   bower install C:\Users\Downloads\JavaScript-Components-master
   ~~~

### Bower Update

To update the installed bower packages, run the below command.

~~~
bower update syncfusion-javascript
~~~

## Documentation


For complete Syncfusion JavaScript documentation, please visit [http://help.syncfusion.com/js/](http://help.syncfusion.com/js/# "")

## Demos

### Online Demos

Take a look at the Syncfusion JavaScript Web and Mobile live demos.

* [Web](http://js.syncfusion.com/demos/web/# "")

* [Mobile](http://js.syncfusion.com/demos/mobile/# "")

### Offline Demos

Download our JavaScript Platform installer from [here](https://www.syncfusion.com/downloads/javascript/).

## Support

In case of any questions regarding the use of Syncfusion JavaScript, please [contact us](http://www.syncfusion.com/support/# "") by creating a support ticket.

## Release Notes

Refer the Syncfusion JavaScript Product Release Notes in [online Release Notes at Syncfusion](http://help.syncfusion.com/js/release-notes/v14.2.0.28# "").

## License Information

For licensing information about Syncfusion JavaScript, Download the Syncfusion License Agreements from [here](https://www.syncfusion.com/content/downloads/syncfusion_license.pdf).
